Bug 50771 - HttpServletRequest#getAuthType() returns null though the request is authenticated.
HttpServletRequest#getAuthType() returns null though the request is authentic...
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina:Cluster
5.5.33
All All
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-02-14 03:30 UTC by Keiichi Fujino
Modified: 2011-08-16 12:37 UTC (History)
0 users



Attachments
I made a patch. (2.99 KB, text/plain)
2011-02-14 03:30 UTC, Keiichi Fujino
Details
patch against tc60. (2.97 KB, application/octet-stream)
2011-02-14 04:54 UTC, Keiichi Fujino
Details
patch against tc55. (6.09 KB, application/octet-stream)
2011-02-14 04:55 UTC, Keiichi Fujino
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Keiichi Fujino 2011-02-14 03:30:02 UTC
Created attachment 26648 [details]
I made a patch.

When Tomcat registers an authenticated Principal and authentication Type with current session, 
only authenticated Principal is replicated, and authentication Type is not replicated.
Therefore, Request#getAuthType() returns null though the request is authenticated when the node changed. 


Best Regards.
Comment 1 Keiichi Fujino 2011-02-14 03:54:17 UTC
Fixed in 7.0.x and will be in 7.0.9 onwards.

Proposed for 6.0.x and 5.5.x
Comment 2 Keiichi Fujino 2011-02-14 04:54:31 UTC
Created attachment 26649 [details]
patch against tc60.
Comment 3 Keiichi Fujino 2011-02-14 04:55:07 UTC
Created attachment 26650 [details]
patch against tc55.
Comment 4 Keiichi Fujino 2011-08-03 01:36:50 UTC
Fixed in 6.0.x and will be in 6.0.33 onwards.
Comment 5 Mark Thomas 2011-08-16 12:37:46 UTC
This has been fixed in 5.5.x and will be included in 5.5.34 onwards.